<?php

/*
 * Teller Custom Post Types
 */



// Portfolio Post Type

function portfolio_post_type() {

	$labels = array(
		'name'                => _x( 'Portfolio Items', 'Post Type General Name', 'teller' ),
		'singular_name'       => _x( 'Portfolio Item', 'Post Type Singular Name', 'teller' ),
		'menu_name'           => __( 'Portfolio Items', 'teller' ),
		'parent_item_colon'   => __( 'Parent Item:', 'teller' ),
		'all_items'           => __( 'All Items', 'teller' ),
		'view_item'           => __( 'View Item', 'teller' ),
		'add_new_item'        => __( 'Add New Portfolio Item', 'teller' ),
		'add_new'             => __( 'Add New', 'teller' ),
		'edit_item'           => __( 'Edit Item', 'teller' ),
		'update_item'         => __( 'Update Item', 'teller' ),
		'search_items'        => __( 'Search Item', 'teller' ),
		'not_found'           => __( 'Not found', 'teller' ),
		'not_found_in_trash'  => __( 'Not found in Trash', 'teller' ),
	);

	$args = array(
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'thumbnail', ),
		'taxonomies'					=> array( 'port-cat' ),
		'public'							=> true,
		'capability_type'     => 'post',
	);

	register_post_type( 'portfolio', $args );

}

add_action( 'init', 'portfolio_post_type', 0 );



// Portfolio Post Taxonomy

function port_cats() {
	$lables = array(
		'name' 							=> _x('Portfolio Categories', 'taxonomy general name', 'teller'),
		'singular_name' 		=> _x('Portfolio Category', 'taxonomy singular name', 'teller'),
		'search_items'      => __( 'Search Portfolio Categories', 'teller' ),
		'all_items'         => __( 'All Portfolio Categories', 'teller' ),
		'parent_item'       => __( 'Parent Portfolio Category', 'teller' ),
		'parent_item_colon' => __( 'Parent Portfolio Category:', 'teller' ),
		'edit_item'         => __( 'Edit Porfolio Category', 'teller' ),
		'update_item'       => __( 'Update Portfolio Category', 'teller' ),
		'add_new_item'      => __( 'Add New Portfolio Category', 'teller' ),
		'new_item_name'     => __( 'New Portfolio Category Name', 'teller' ),
		'menu_name'         => __( 'Portfolio Categories', 'teller' ),
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $lables,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'port-cat' ),
	);

	register_taxonomy( 'port-cat', 'portfolio', $args );

}

add_action( 'init', 'port_cats', 0 );



// Portfolio Display

function port_display_post_type() {
 
	$labels = array(
		'name'							=> _x( 'Portfolio Displays', 'post type general name' , 'teller' ),
		'singular_name' 		=> _x( 'Portfolio Display', 'post type singular name' , 'teller' ),
		'add_new' 					=> _x( 'Add New Portfolio Display', 'add post type', 'teller' ),
		'add_new_item' 			=> __( 'Add New Item' , 'teller' ),
		'edit_item' 				=> __( 'Edit Item' , 'teller' ),
		'new_item' 					=> __( 'New Item' , 'teller' ),
		'all_items'			 		=> __( 'Portfolio Displays' , 'teller' ),
		'view_item' 				=> __( 'View Item' , 'teller' ),
		'search_items' 			=> __( 'Search Items' , 'teller' ),
		'not_found' 				=> __( 'No items Found' , 'teller' ),
		'not_found_in_trash'=> __( 'No items Found In Trash' , 'teller' ),
		'parent_item_colon'	=> '',
		'menu_name' 				=> __( 'Portfolio Displays' , 'teller' )
	);
	
	$args = array(
		'labels' 						=> $labels,
		'public'					 	=> false,
		'show_ui' 					=> true,
		'show_in_menu' 			=> 'edit.php?post_type=portfolio',
		'show_in_nav_menus' => true,
		'hierarchical' 			=> true,
		'supports' 					=> array( 'title' ),
		'capability_type'   => 'post'
	);

	register_post_type( 'port_display', $args );
}

add_action( 'init', 'port_display_post_type', 0 );