<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Teller
 */

$meta_data = get_post_meta( get_the_ID() ); // Get Meta Options

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
<style type="text/css">
	
	a:hover, .entry-content ul li a:hover, .entry-content ol li a:hover, .home-header-cont nav.main-navigation ul li a:hover, .header-cont nav.main-navigation ul li a:hover, .cat-links a:hover, .tags-links a:hover, .tags ul li a:hover, .button.accent:hover, footer .footer-feature .widget a:hover, footer .footer-bottom .social li a:hover, footer .footer-bottom .social li a:active {
		color: <?php echo teller_get_data('accent') ?>;
	}

	.header-border, #comments .reply .comment-reply-link, .button.accent {
		background: <?php echo teller_get_data('accent') ?>;
	}

	#comments .bypostauthor .vcard img, .button.accent {
	  border-color: <?php echo teller_get_data('accent') ?>;
	}

	<?php echo teller_get_data('custom_css'); ?>

</style>
</head>

<body <?php body_class(); ?>>

<div id="preloader"></div>

<header id="masthead" class="site-header" role="banner">
	<div class="<?php if ($meta_data['page-header'][0] != '2') { echo 'header-cont'; } else { echo 'home-header-cont'; }?>">
		<div class="top-bar">
			<div class="logo">
		        <?php

		        if (teller_get_data('logo')) { ?>
		            <a class="logo-image" href="<?php echo home_url(); ?>/" title="<?php echo get_bloginfo('name'); ?>" rel="home"><img src="<?php echo teller_get_data('logo'); ?>" alt="<?php echo get_bloginfo('name') ?>" /></a>
		        <?php } else { ?>
		            <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>

		        <?php } ?>
		    </div>

			<nav id="site-navigation" class="main-navigation" role="navigation">
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
			</nav><!-- #site-navigation -->

			<div class="mobile-toggle">
				<ul>
					<li></li>
					<li></li>
					<li></li>
				</ul>
			</div>

			<nav id="mobile-navigation" class="mobile-navigation" role="navigation">
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
				<span class="close-menu">Close Menu</span>
			</nav><!-- #mobile-navigation -->

			<div class="clearfix"></div>
		</div>

		<?php if ($meta_data['page-header'][0] == '2') { ?>

		<div id="header-text">
            <?php if ($meta_data['subtitle'][0] != '') { echo '<span id="slogan">' . $meta_data['subtitle'][0] . '</span>'; } ?>
            <?php if ($meta_data['description'][0] != '') { echo '<span class="desc">' . $meta_data['description'][0] . '</span>'; } ?>
            <div class="clearfix"></div>
            <?php if ($meta_data['button'][0] == '2') { echo '<br><br>
            <a href="' . $meta_data['button-url'][0] . '" class="button">' . $meta_data['button-text'][0] . '</a>';} ?>
        </div>

		<?php } ?>

		<div class="clearfix"></div>
	</div>
</header><!-- #masthead -->

<div id="wrapper" class="site-content">

	<div class="clearfix"></div>
	<div class="space"></div>