<?php

/*
 * Teller Custom Shortcodes
 */


// Wide Shortcode

function ksd_wide_sc( $atts, $content = null ) {

	extract(shortcode_atts(array(
		'class' => '',
	), $atts));


	return '</div><div class="section ' . $class . '"><div class="container">' . do_shortcode($content) . '</div></div><div class="container">';

}

add_shortcode( 'wide', 'ksd_wide_sc' );



// Button Shortcode

function ksd_button_sc( $atts, $content = null ) {

	extract(shortcode_atts(array(
		'text' => '',
		'url' => '',
		'style' => '',
		'align' => '',
	), $atts));

	if ($align != '') {
		$output = '<div style="text-align: ' . $align . '"><a href="' . $url . '" class="button ' . $style . '">'. $text . '</a></div>';
	} else {
		$output = '<a href="' . $url . '" class="button ' . $style . '">'. $text . '</a>';
	}

	return $output;

}

add_shortcode( 'button', 'ksd_button_sc' );


// Recent Posts Shortcode

function ksd_posts_sc( $atts, $content = null ) {

	extract(shortcode_atts(array(
		'posts_number' => '',
		'posts_order' => '',
	), $atts));

	$port_query = new WP_Query(array(
			'post_type' => 'post',
			'posts_per_page' => $posts_number, 
			'orderby' => $posts_order, 
			'order' => 'DESC',
			'post__not_in' => get_option( 'sticky_posts' )
		));

	$output = '';

	if ($port_query->have_posts()) :

			$output .= '<div class="recent-posts">';

			while ($port_query->have_posts()) : $port_query->the_post();

				$title = get_the_title();
				$permalink = get_permalink();

				$output .= '<article id="post-' . get_the_ID() . '" class="post">';

				$output .= '<div class="img-cont">';

				$output .= get_the_post_thumbnail( $post->id, 'blog-recent' );

				$output .= '</div>';

				$output .= '<h4><a href="' . $permalink . '">' . $title . '</a></h4>';

				$output .= '<p>' . substr(get_the_excerpt(), 0,70) . '...</p>';

				$output .= '</article>';

			endwhile;

	endif;

	$output .= '</div><div class="clearfix"></div>';

	wp_reset_postdata();

	return $output;

}

add_shortcode( 'posts', 'ksd_posts_sc' );



// Portfolio Display

function ksd_port_display( $atts, $content = null ) {

    extract(shortcode_atts(array(
        'id' => '',
    ), $atts));

    $typepost = get_post_type($post);

    $port_query = new WP_Query(array(
			'post_type' => 'port_display', 
			'p'					=> $id,
		));

    if ($port_query->have_posts()) : 

			while ($port_query->have_posts()) : $port_query->the_post();

				$meta_data = get_post_meta( get_the_ID() );

				$type = $meta_data['port-type'][0];

				$item_cats = $meta_data['item-cats'][0];

				$item_ids = $meta_data['item-ids'][0];

				$items_in_row = $meta_data['row-size'][0];

				$item_limit = $meta_data['item-limit'][0];

				$horizon_cat = get_post_meta( get_the_ID() , 'item-cats' );

				$cat = $horizon_cat[0];

				if (!empty($cat[1])) : 

				$cargs = array(
				array(
					'taxonomy' => 'port-cat',
					'field'    => 'slug',
					'terms'    => $cat
				));

				else :
					$cargs = '';
				endif;

			endwhile;

		endif;

    $output = '';

	$output .= '<div class="port">';

	if ($item_limit != '') {
		$limit = $item_limit;
	} else {
		$limit = '-1';
	}

	if ($item_ids > 0) {

		$item_ids_array = explode(", ", $item_ids);

		$port_query = new WP_Query(array( 
			'post_type' => 'portfolio',
			'posts_per_page' => $limit, 
			'orderby' => 'date', 
			'order' => 'ASC',
			'post__in' => $item_ids_array,
			'tax_query' => $cargs
		));

	} else {

    	$port_query = new WP_Query(array(
			'post_type' => 'portfolio', 
			'posts_per_page' => $limit, 
			'orderby' => 'date', 
			'order' => 'ASC',
			'tax_query' => $cargs
		));

	}


	if ($port_query->have_posts()) : 

		while ($port_query->have_posts()) : $port_query->the_post();

			$meta_data = get_post_meta( get_the_ID() );

			$terms = get_the_terms($post->ID, 'port-cat');

			if ($terms) : $cat = array();

				foreach ($terms as $term) {
					$cat[] = $term->name;
				}

			endif;

			$cat = array_map('strtolower', (array) $cat);
			$list_cats = join( " ", $cat );
			$terms = get_the_term_list( $post->ID, 'port-cat', '<li>', ',  ', '</li>' );

			$title = get_the_title();
			$permalink = get_permalink();


			$output .= '<div class="item">';

			$output .= '<a href="' . $permalink . '">';

			$output .= get_the_post_thumbnail( $post->id, 'port-thumb' );

			$output .= '<div class="mask">';

			$output .= '<span class="title">' . $title . '</span>';

			$output .= '</div>';

			$output .= '</a>';

			$output .= '</div>';

		endwhile;

	endif;

	$output .= '</div>';

	wp_reset_query();
	
	return $output;

}

add_shortcode( 'port_display', 'ksd_port_display' );

// Space Shortcode

function ksd_space_sc() {

	return '<div class="clearfix"></div><div class="space"></div>';

}

add_shortcode( 'space', 'ksd_space_sc');