jQuery(function($){

	$(document).ready(function() {

		$('body').imagesLoaded(function() {

			$('#preloader').addClass('loaded');

			$('body').fitVids();

			// Menu

			var menuToggle = $('.mobile-toggle'),
				mobileNav = $('.mobile-navigation'),
				closeMenu = $('.close-menu');

			menuToggle.click(function() {
				mobileNav.slideDown();
			});

			closeMenu.click(function() {
				mobileNav.slideUp();
			});

			// Sub Menu Items

			var navLi = $('nav.main-navigation ul.menu > li');

			navLi.hover(function() {
				var subOffset = 200 - $(this).outerWidth();
				$(this).find('.sub-menu').css('left', -(subOffset/2));
				$(this).find('.sub-menu').stop().fadeIn();
			}, function() {
				$(this).find('.sub-menu').stop().fadeOut();
			});


			// Portfolio

			$('.item').hover(function() {

				$(this).addClass('up');

			}, function() {

				$(this).removeClass('up');

			});

			var $container = $('.port');
			
			$container.isotope({
				itemSelector: '.item',
				animationEngine : 'best-available',
			  	animationOptions: {
			     	duration: 200,
			     	queue: false
			   	},
				layoutMode: 'masonry',
				masonry: {
				    columnWidth: '.item',
				    gutter: 10
			  	}
			});


			// Wrapper Margin

			var homeHeader = $('.home-header-cont');

			function headerHeight() {
				if (homeHeader.length > 0) {

					var height = $(window).height();

					homeHeader.css('height', height);

					var fiftyheight = height / 2;
				    var thisHeight = $('#header-text').height();
				    var newHeight = (fiftyheight) - (thisHeight/2) - 64;
				    newHeight = parseInt(newHeight) + 'px';
				    $('#header-text').css('margin-top', newHeight);

				}
			}


			function checkSize(){
			    if ($("#test").css("display") == "none" ){
			        headerHeight();
			    } else {
		    	 	$('#header-text').css('margin-top', '91px');
			    	homeHeader.css('height', 'auto');
			    }
			}

			checkSize();


			// Lightbox & Gallery

			var galleryImageLink = $('.gallery-item a, .lightbox'),
					galleryImageSrc = '';

			galleryImageLink.each(function() {

				galleryImageSrc = $(this).find('img').attr('src');

				$(this).attr('href', galleryImageSrc);

			});

			setTimeout(function() {
				galleryImageLink.magnificPopup({
					type:'image',
					removalDelay: 600,
					mainClass: 'mfp-fade'
				});
			}, 500);

			$('.gallery').masonry({
			  itemSelector: '.gallery-item'
			});


			// Resize Functions

			$(window).resize(function() {

				setTimeout(function() {
					checkSize();
				}, 1000)

			});

		});

	});

});